jQuery(document).ready(function() {

  if(window.location.href.indexOf("tab=checkout&section=sprint") > 0) {
    jQuery.ajax({
            url : 'https://sprintcheckout-mvp.herokuapp.com/checkout/v1/merchant_address?site_url=' + window.location.origin + '&layer=zksync',
            type : 'GET',
            dataType : 'text',
            success : function(data) {
                jQuery("#woocommerce_sprint_eth_address").val(data);
            }
        });

    jQuery.ajax({
            url : 'https://sprintcheckout-mvp.herokuapp.com/checkout/v1/customer_keys?site_url=' + window.location.origin,
            type : 'GET',
            dataType : 'text',
            success : function(data) {
              if(data != null) {
              console.log(data);
                  jQuery("#woocommerce_sprint_customer_key").val(data.substring(0, data.indexOf(":")));
                  jQuery("#woocommerce_sprint_customer_secret").val("*****************************************************");
              }
            }
        });

    jQuery.ajax({
        url : 'https://sprintcheckout-mvp.herokuapp.com/checkout/v1/network?site_url=' + window.location.origin + '&layer=zksync',
        type : 'GET',
        dataType : 'text',
        success : function(data) {
            jQuery(".network").prop('checked', false);
            jQuery(".network").attr('checked', false);
            jQuery("#woocommerce_sprint_" + data).prop('checked', true);
            jQuery("#woocommerce_sprint_" + data).attr('checked', true);
        }
    });

    jQuery(".woocommerce-save-button").hide();
    if (jQuery('#fire_save_changes').length === 0) {
        jQuery(".woocommerce-save-button").after("<a href='#' class='button button-primary' id='fire_save_changes'> Save changes </a>");
    }
    var len = jQuery(".token_row").length;
    //Showing only 5 rows
    jQuery(".token_row").each(function(index, value) {
        if (index <= 4) {
            jQuery(this).show();
            if (index == 4) {
                jQuery(this).after("<tr class='token_row'><td colspan='3'><a href='#' class='showall'>Show All</a></td></tr>");
            }
        } else {
            jQuery(this).hide();
        }
    });
    //Showing All Rows
    jQuery('.zksync').on('click', '.showall', function() {
        //jQuery(".showall").click(function(){
        jQuery(this).parent().hide();
        jQuery(".token_row").fadeIn("fast");
        jQuery(".token_row:last").after("<tr class='token_row'><td colspan='3'><a href='#' class='showless'>Show Less </a></td></tr>");
    });
    //Showing Less Rows
    jQuery('.zksync').on('click', '.showless', function() {
        jQuery(this).parent().hide();
        jQuery(".token_row").each(function(index, value) {
            if (index <= 4) {
                jQuery(this).show();
                if (index == 4) {
                    jQuery(this).after("<tr class='token_row'><td colspan='3'><a href='#' class='showall'>Show All</a></td></tr>");
                }
            } else {
                jQuery(this).hide();
            }
        });
    });
    // make checkbox behave like radio buttons
    jQuery(".network").change(function() {
        jQuery(".network").prop('checked', false);
        jQuery(".network").attr('checked', false);
        jQuery(this).prop('checked', true);
        jQuery(this).attr('checked', true);
    });
    // Selecting/unselecting all tokens
    jQuery("#accept-all-tokens").click(function() {
        if(jQuery("#accept-all-tokens").prop('checked') == true) {
          jQuery("input[class*='accept']").prop('checked', true);
        } else {
          jQuery("input[class*='accept']").prop('checked', false);
        }
    });

    // Storing
    jQuery(".accept").click(function() {
        jQuery(".woocommerce-save-button").hide();
        if (jQuery('#fire_save_changes').length === 0) {
            jQuery(".woocommerce-save-button").after("<a href='#' class='button button-primary' id='fire_save_changes'> Save changes </a>");
        }
    });
    /*	jQuery(".woocommerce-save-button").hide();
    jQuery(".woocommerce-save-button").after("<a href='#' class='button button-primary' id='fire_save_changes'> Save changes </a>");*/
    jQuery('body').on('click', '#fire_save_changes', function(e) {
        window.onbeforeunload = null;
        e.preventDefault();
        jQuery(this).attr("disabled", true);
        var currency = [];
        jQuery('input:checkbox[name=accept]:checked').each(function() {
            currency.push({
                "csign": jQuery(this).val(),
                "amount": jQuery(this).attr("decimal")
            });
        });
        var currency_sign = jQuery("input[name='ethereum_address']").val();
        var layer_enabled = jQuery("input[name='woocommerce_sprint_enabled']").val();
        var public_address = jQuery("#woocommerce_sprint_eth_address").val();
        var customer_key = jQuery("#woocommerce_sprint_customer_key").val();
        var customer_secret = jQuery("#woocommerce_sprint_customer_secret").val();
        //var network = jQuery('.network').prop('checked').attr("id");
        var zkNetwork = '';
        jQuery('.network').each(function() {
            var net = jQuery(this);
            if (net.is(":checked")) {
                var network = net.attr("id");
                //var network_txt=jQuery("#"+network).parent().text();
//                networkk.push(jQuery("#" + network).parent().text());
                var lastUnderscore = network.lastIndexOf("_");
                zkNetwork = network.substr(lastUnderscore+1, network.length);
            }
        });
        var tokens = [];
        jQuery('.accept').each(function() {
            if (jQuery(this).is(":checked")) {
                var tokenObject = { "symbol": jQuery(this).val(), "active" : true };
                tokens.push(tokenObject);
            } else {
                var tokenObject = { "symbol": jQuery(this).val(), "active" : false };
                tokens.push(tokenObject);
            }
        });
        let platform = "woocommerce";
        let plugin_version = "0.1";

        console.log(tokens);
        var data = {
            'action': 'spc_currency',
            'security': ajax_object.security,
            'platform': platform,
            'plugin_version': plugin_version,
            'enabled': true, // get plugin status (enabled disabled) from woocommerce payment settings
            'currency': currency,
            'currency_sign': currency_sign,
            'public_address': public_address,
            'customer_key': customer_key,
            'customer_secret': customer_secret,
            'network': zkNetwork,
            'layer_enabled': layer_enabled,
            'tokens': tokens
        };

        // since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
        jQuery.post(ajax_object.ajax_url, data, function(response) {
            jQuery('form').submit();
        });
    });
  }

});