<?php
add_action('wp_ajax_spc_currency', 'spc_currency');
add_action('wp_ajax_nopriv_spc_currency', 'spc_currency');
function spc_currency()
{
    check_ajax_referer('spc_currency', 'security');
    global $wpdb;
    $customer_key = sanitize_text_field( $_POST['customer_key']);
    $customer_secret = sanitize_text_field( $_POST['customer_secret']);
    $currency_sign = sanitize_text_field($_POST['currency_sign']);
    $platform = sanitize_text_field($_POST['platform']);
    $plugin_version = sanitize_text_field($_POST['plugin_version']);
    $layer_enabled = sanitize_text_field($_POST['layer_enabled']);
    $public_address = sanitize_text_field($_POST['public_address']);
    $network = sanitize_text_field($_POST['network']);
    $tokens = $_POST['tokens'];
//    $final = json_encode($tokens);
    $site_url = get_site_url();
    $layers = array(
        "name" => "zksync",
            "publicAddress" => $public_address,
            "network"  => $network,
            "enabled" => $layer_enabled,
            "tokens" => $tokens
    );
    $data = array(
        "site_url" => $site_url,
        "merchant_name" => $site_url,
        "platform" => $platform,
        "plugin_version" => $plugin_version,
        "store_currency" => $currency_sign,
        "layers" => $layers,
        "customer_key" => $customer_key,
        "customer_secret" => $customer_secret
    );
    $args = array(
        'body'        => json_encode($data),
        'timeout'     => '5',
        'redirection' => '5',
        'httpversion' => '1.0',
        'blocking'    => true,
        'headers'     => array('Content-Type' => 'application/json'),
        'cookies'     => array(),
    );
    $response = wp_remote_post( 'https://sprintcheckout-mvp.herokuapp.com/checkout/v1/payment_settings', $args );
// execute!
// do anything you want with your response
    $currency = serialize($_POST['currency']);
    $table_name = $wpdb->base_prefix . 'spc_tokins';
    $mytokins = $wpdb->get_results("SELECT * from $table_name");
    if (count($mytokins) == 0) {
        //echo "1";
        $result = $wpdb->insert($table_name, array("tokin" => $currency));
        $wpdb->show_errors();
        $wpdb->print_error();
    } else {
        $result = $wpdb->query("UPDATE $table_name SET tokin='$currency' WHERE id=1");
        echo $result;
    }
    wp_die();
}